Bug 986022 - Similar fields Severity and Priority artificially delimited by Hardware and OS ones in the UI
Similar fields Severity and Priority artificially delimited by Hardware and O...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 15:15 EDT by Jan Pokorný
Modified: 2014-10-12 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:15:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 456043 None None None Never

  None (edit)
Description Jan Pokorný 2013-07-18 15:15:26 EDT
IIRC, these two fields used to be placed in a pair for years.
Suddenly, I noticed they are being apart.  Is this intentional?

From ergonomic standpoint, I thing this was step backwards
as the two are often set in one go. On the other hand, I don't
recall I've ever used Hardware or OS fields.


Current state:

> Severity:  [unspecified]
> Hardware:  [Unspecified]
> OS:        [Unspecified]
> Priority:  [unspecified]


Desired:

> Severity:  [unspecified]
> Priority:  [unspecified]
> Hardware:  [Unspecified]
> OS:        [Unspecified]


Note also inconsistency in capitalization of "unspecified", seems natural
to stick with lower-cased variants everywhere (might also reduce
redundancy of translation strings if it is supported).
Comment 1 Jason McDonald 2013-07-22 00:33:10 EDT
I believe the description above refers to the appearance of https://bugzilla.redhat.com/enter_bug.cgi?product=Bugzilla. Here the fields in question appear in the right-hand column (the form has two columns of fields).

Looking at https://bugzilla.redhat.com/show_bug.cgi?id=986022, the appearance is different, though also a bit inconsistent -- Hardware and OS are shown side-by-side (with the OS label missing) and Priority and Severity are shown side-by-side (with both labels present).  Here the fields in question appear in the left-hand column.

This is a symptom of a larger problem where many of the fields on the two forms appear in different positions and/or the opposite columns.  Ideally, the enter_bug and show_bug forms would be as similar as possible.
Comment 2 Simon Green 2013-07-23 19:24:22 EDT
(In reply to Jason McDonald from comment #1)
> This is a symptom of a larger problem where many of the fields on the two
> forms appear in different positions and/or the opposite columns.  Ideally,
> the enter_bug and show_bug forms would be as similar as possible.

I disagree. Enter bug is for entering information, while show bug is mainly to view information, and add new comments. I agree with comment #0 though, and am happy to fix that.

  -- simon
Comment 3 Simon Green 2013-07-25 02:53:06 EDT
An upstream bug already existed. I only found this after writing my patch, so have submitted it upstream anyway.

Note You need to log in before you can comment on or make changes to this bug.